## isMoving

### Syntax:

    isMoving (thisObject);

### Purpose:

Tests whether thisObject is a character who is currently moving (due to one of the moveCharacter or forceCharacter functions).

### Return value:

If thisObject is currently represented as a character and the character is moving, the return value is TRUE. Otherwise, the return value is FALSE.

### See also:

Object Types as Characters

addCharacter

isCharacter

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012